/*
Copyright 1989 by the Movies of the Future Group
of the MIT Media Laboratory
All rights reserved.

Permission to use, copy, and modify this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the name of M.I.T. not be used in
advertising or publicity pertaining to distribution of the software
without specific, written prior permission.  This software or any
other copies thereof may not be provided or otherwise made available to
others.  No title to or ownership of the software is hereby transferred.
M.I.T. makes no representations about the suitability of this software for any
purpose.  It is provided "as is" without express or implied warranty.
*/
/* EMACS_MODES: c */
#include "dat.h"
#include "datio.h"
#include <stdio.h>
#include <stdlib.h>

#ifndef _NFILE
#define _NFILE NOFILE
#endif

struct dinfo *_Dinfo[_NFILE];		/* initialized with NULLI's */

	/* reset _Dinfo[fd] entry; must be called before a previously used
	file descriptor is reused for a newly opened datfile.  Should be
	called from d_close. */

void _dclrinfo(fd)
int fd;
{
  if (_Dinfo[fd] != NULLI) 
    {
      free((char *)(_Dinfo[fd]));
      _Dinfo[fd] = NULLI;
    }
}

